#!../../bin/linux-x86/Hy8505example

## You may have to change Hy8505example to something else
## everywhere it appears in this file

< envPaths

cd ${TOP}

## Register all support components
dbLoadDatabase "dbd/Hy8505example.dbd"
Hy8505example_registerRecordDeviceDriver pdbbase

# For PCI/Linux IOC, use
ipacAddHyLinux9010("99,1")

# For PCI/RTEMS IOC, use
#ipacAddHyRTEMS9010("1,4,0")

# For VME/VxWorks
#IPAC3 = ipacAddHy8002("3,2")

# Hy8505Configure(cardnum, carrier, ipslot, debrate,
#                 pwidth, scanrate, dir, intr, clock)
Hy8505Configure(71, 0, 2, 4, 3, 0, 0, 0x88, 0)

# Hy8505ExtraConfig(cardnum, debmask, pmask, intmask)
Hy8505ExtraConfig(71, 0xFFFF, 0x0, 0xFFFF)

## Load record instances
dbLoadRecords "db/Hy8505-II-bi.db", "device=DIO"
dbLoadRecords "db/Hy8505-II-mbbi.db", "device=DIO"
dbLoadRecords "db/Hy8505-OO.db", "device=DIO"

## Set this to see messages from mySub
#var mySubDebug 1

## Run this to trace the stages of iocInit
#traceIocInit

cd ${TOP}/iocBoot/${IOC}
iocInit

